import { ApolloQueryResult } from 'apollo-client';
import { FetchResult } from 'apollo-link';
import { DocumentNode, IntrospectionQuery } from 'graphql';
import { Config, KeyValueUnknown, ResolvingRESTOptions } from './typings';
import { QueryManager } from 'apollo-client/core/QueryManager';
export declare const defaultRESTHeaders: {
    Accept: string;
    'Content-Type': string;
};
export declare function getApolloManager(): QueryManager<unknown>;
export declare function camelToKebab(input: string): string;
export declare function queryParams(params: any, camelToKebabActive?: boolean): string;
export declare function status(res: any): Promise<any>;
export declare function json(response: any): any;
export declare function performSafeRequestREST(url: any, params?: {}, method?: string, opts?: KeyValueUnknown): Promise<any>;
export declare function performGqlQuery(query: any, variables: any): Promise<ApolloQueryResult<unknown>>;
export declare function performGqlMutation(mutation: any, variables: any): Promise<FetchResult<unknown, Record<string, any>, Record<string, any>>>;
export declare function stripTypename(obj: any): any;
export declare function performSafeRequestGraphql(query: DocumentNode, variables?: {}): Promise<any>;
export declare function registryGet(key: string): unknown;
export declare function config(): Config;
export declare function getParsedSchema(): Promise<DocumentNode>;
export declare function getSchemaTypeFields(typeName: any): Promise<string[]>;
export declare function getSchemaMutation(mutationName: any): Promise<import("graphql").FieldDefinitionNode>;
export declare function getSchemaQuery(queryName: any): Promise<import("graphql").FieldDefinitionNode>;
export declare function getUrl(_opts: ResolvingRESTOptions): Promise<string>;
export declare function stripObject(obj: any): any;
export declare function fetchIntrospectionSchema(url: string): Promise<IntrospectionQuery>;
export declare const isClass: (fn: CallableFunction) => boolean;
//# sourceMappingURL=utils.d.ts.map